#include <QtGui/QApplication>
#include <QtSingleApplication>
#include "mainwindow.h"

int main(int argc, char *argv[])
{
	/*
    QApplication a(argc, argv);

    a.setApplicationName("BookMoocher");
	a.setApplicationVersion(APP_VERSION);
    a.setOrganizationDomain("bluenine.it");
    a.setOrganizationName("Blue Nine");

	// Non esce quando si chiude la finestra, ma solo se si forza l'uscita
	a.setQuitOnLastWindowClosed(false);

    MainWindow w;

	w.setWindowTitle( a.applicationName() + " " + a.applicationVersion() );

    w.show();

    return a.exec();
    */

    QtSingleApplication app(argc, argv);

    if (app.isRunning())
    	return 0;

    app.setApplicationName("BookMoocher");
    app.setApplicationVersion(APP_VERSION);
    app.setOrganizationDomain("bluenine.it");
    app.setOrganizationName("Blue Nine");

	// Non esce quando si chiude la finestra, ma solo se si forza l'uscita
	app.setQuitOnLastWindowClosed(false);

    MainWindow w;
    app.setActivationWindow(&w);

	w.setWindowTitle( app.applicationName() + " " + app.applicationVersion() );

    w.show();

    return app.exec();
}
